from phenology import *
from canopyModel import *

lat = 57
lon = 86

temp= get_temperature ( latitude=lat, longitude=lon )
retval = fit_phenology_model( lon, lat, [2001],\
               temp,tbase=-10.,do_agdd=True, pheno_model="quadratic")
ndvi = retval[1]

[ipar,temp2,mu,julian,dt]  = drivers(ndays=365*11+2,lat=lat,lon=lon)
temp2,ndviFull = fixTemperature(temp,temp2,julian,ndvi,mu)

plt.clf()
plt.xlabel('day of year')
plt.ylabel('fAPAR')
initialLAI = 2.0
omega=None
leaf = leafScale(ipar,temp2,omega=omega,type='Broadleaf tree')
for leafLoss in [1.00,1.50,2.00,2.50,3.00]:
    canopyScale(leaf,initialLAI,mu,julian,dt=dt,leafLoss=leafLoss)
    plt.plot(julian,leaf.fapar,label='leaf loss=%.2f'%(leafLoss))
plt.plot(julian,ndviFull,'k',label='NDVI')
plt.legend(loc=4)
plt.title('lon %.2f lat %.2f'%(lon,lat))
plt.show()