from phenology import *

lat = 57
lon = 86
temp= get_temperature ( latitude=lat, longitude=lon )
retval = fit_phenology_model( lon, lat, [2001,2002,2003,2004],\
                             temp,tbase=-10.,do_agdd=True, pheno_model="quadratic")
agdd = np.array([retval[0]*retval[0],retval[0],retval[0]*0.+1])
params = retval[-3]
# fwd model
fwd = np.dot(agdd.T,params)
plt.subplot ( 2, 1, 1 )
plt.plot ( retval[1], '-r', label="MODIS NDVI" )
plt.plot ( fwd, '-g', label="Predicted" )
plt.axvline ( 365*4, ymin=-0.1, ymax=1.01, lw=1.5)
plt.rcParams['legend.fontsize'] = 9 # Otherwise too big
plt.legend(loc='best', numpoints=1,fancybox=True, shadow=True ) # Legend
plt.grid ( True )
plt.ylabel("NDVI")
plt.subplot ( 2, 1, 2 )
plt.plot ( retval[0], '-r' )
plt.axvline ( 365*4, ymin=-0.1, ymax=1.01, lw=1.5)
plt.xlabel ("Time [DoY since 1/1/2001]")
plt.ylabel ('AGDD C]')
print retval[-3] # Print out the fit parameters
plt.show()